com.r3corda.node.services.statemachine / FiberRequest / NotExpectingResponse

# NotExpectingResponse

`class NotExpectingResponse : FiberRequest`

### Constructors

<init> | `NotExpectingResponse(topic: String, destination: Party, sessionIDForSend: Long, obj: Any?)`

### Inherited Properties

destination | `val destination: Party?`
payload | `val payload: Any?`
receiveTopicSession | `val receiveTopicSession: TopicSession`
sessionIDForReceive | `val sessionIDForReceive: Long`
sessionIDForSend | `val sessionIDForSend: Long`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot?`
topic | `val topic: String`

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`